
public class Person {
	
	private double height;
	private double weight;
	private String name;
	private int age;
	
	// My default constructor
	public Person() {
		height = 1.0;
		weight = 1.0;
		name = "";
		age = 0;
	}
	
	public Person(double height, double weight,
			String name, int age) {
		this(name);
		this.height = height;
		this.weight = weight;
		this.age = age;
	}
	
	public Person(String name) {
		this.name = name;
	}
	
	public void setName(String name) {
		this.name = name;
	}
	
	public void setAGe(int age) {
		if(age < 0) {
			System.out.println("Please enter real age");
		}
		else {
			this.age = age;
		}
	}
	
	public void setHeight(double height) {
		if (height < 0.0) {
			System.out.println("Please enter real height");
		}
		else {
			this.height = height;
		}
	}
	
	public void setWeight(double newWeight) {
		if (newWeight < 0.0) {
			System.out.println("Please enter real weight");
		}
		else {
			this.weight = newWeight;
		}
	}
	
	public String getName() {
		return this.name;
	}
	
	public double getHeight() {
		return this.height;
	}
	
	public double getWeight() {
		return this.weight;
	}
	
	public int getAge() {
		return this.age;
	}
	
	public void display() {
		System.out.println("Name: " + this.name);
		System.out.println("Weight: " + this.weight);
		System.out.println("Height: " + this.getHeight());
		System.out.println("Age: " + this.getAge());
		
	}
	
	public String toString() {
		return "Person {Name: " + this.name
				+ ", Weight: " + this.weight
				+ ", Height: " + this.getHeight()
				+ ", Age: " + this.getAge() + "}";
	}
	
	public boolean sameName(Person person) {
		
		return this.name.equals(person.name);
	}

	
	// equals method
	
	public boolean equals(Object obj) {
		 
		 if(obj == this) {
			 return true;
		 }
		 
		 if(obj == null) {
			 return false;
		 }
		 
		 if(this.getClass() != obj.getClass()) {
			 return false;
		 }
		 
		 // the type conversion
		 Person otherPerson = (Person)obj;
		 
		 if(this.age != otherPerson.age) {
			 return false;
		 }
		 
		 if(this.weight != otherPerson.weight)
			 return false;
		 
		 if(this.height != otherPerson.height)
			 return false;	
		 
		 if(!this.name.equals(otherPerson.name))
			 return false;
		 
		 return true;
	}

}
