
public class Student extends Person{
	private String email;
	private String major;
	private double gpa;
	
	public Student() {
		super();
		this.email = "";
		this.major = "Undeclared";
		this.gpa = 0.0;
	}
	
	public Student(double height, double weight,
			String name, int age, String email,
			String major, double gpa) {
		super(height, weight, name, age);
		this.email = email;
		this.gpa = gpa;
		this.major = major;
	}
	
	public String getEmail() {
		return email;
	}

	public String  getMajor() {
		return major;
	}
	
	public double getGpa() {
		return gpa;
	}
	
	public void setEmail(String email) {
		this.email = email;
	}
	
	public void setMajor(String major) {
		this.major = major;
	}
	
	public void setGpa(double gpa) {
		this.gpa = gpa;
	}
	
	public void display() {
		super.display();
		System.out.println("Email: " + this.email);
		System.out.println("GPA: " + this.gpa);
		System.out.println("Major: " + this.major);
	}
	
	public String toString() {
		return "Student { " + super.toString() 
		+ "\nEmail: " + this.email
		+ ", GPA: " + this.gpa
		+ ", Major: " + this.major
		+ "}";
	}
	
	public boolean equals(Object obj) {
		if (this == obj) {
			return true;
		}
		
		if(obj == null) {
			return false;
		}
		
		if(obj.getClass() != this.getClass()) {
			return false;
		}
		
		Student otherStudent = (Student)obj;
		
		if(!super.equals(otherStudent)) {
			return false;
		}
		
		if(this.gpa != otherStudent.gpa) {
			return false;
		}
		
		if(!this.email.equals(otherStudent.email)) {
			return false;
		}
		
		if(!this.major.equals(otherStudent.major))
			return false;
		
		return true;
	}
}
